<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:clickable="true"
    android:duplicateParentState="true"
    android:focusable="true"
    android:paddingHorizontal="12dp"
    tools:layout_height="@dimen/common_button_height"
    tools:layout_width="200dp"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_left"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:duplicateParentState="true"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toStartOf="@id/tv_name"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_name"
        tools:layout_height="18dp"
        tools:layout_width="18dp"
        tools:src="@drawable/common_default_avatar_ic"
        tools:visibility="visible" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="2dp"
        android:layout_marginEnd="2dp"
        android:duplicateParentState="true"
        android:ellipsize="end"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:lines="1"
        android:singleLine="true"
        android:textColor="@color/white"
        android:textSize="13sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/iv_right"
        app:layout_constraintStart_toEndOf="@id/iv_left"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.52"
        tools:text="确认确认确认确认确认确认确认确认确认" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_right"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:duplicateParentState="true"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_name"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/tv_name"
        app:layout_constraintTop_toTopOf="@id/tv_name"
        tools:layout_height="18dp"
        tools:layout_width="18dp"
        tools:src="@drawable/common_default_avatar_ic"
        tools:visibility="visible" />

</merge>